Skip to content

Update picking batch line items

POST
/merchants/{merchantCode}/pickingBatches/{pickingBatchId}/lineItems
curl --request POST \
--url https://order.shopgate.io/v1/merchants/example/pickingBatches/example/lineItems \
--header 'Content-Type: application/json' \
--data '[ { "lineItemId": "123e4567-e89b-12d3-a456-426655440000", "quantity": 3, "pickedQuantity": 3, "quantityChangeReason": "wrongItem" } ]'

Update picking batch line items

merchantCode
required
string

Unique merchant code which represents the unique “merchant account”.

pickingBatchId
required
string
Media typeapplication/json
Array<object>
>= 1 items
object
lineItemId
required
string
Example
123e4567-e89b-12d3-a456-426655440000
quantity
number
Example
3
pickedQuantity
number
Example
3
quantityChangeReason

Reason for a quantity change. Needs to be set if a new quantity is set. Deprecated reasons:

  • wrongAttribute
  • wrongProduct
  • changedMind
  • brokenOrDamaged
  • outOfStock
string
Allowed values: wrongItem wrongProduct wrongAttribute wrongQuantity changedMind customerCanceled brokenOrDamaged itemDamaged outOfStock outdatedStockInfo unavailable substituted other

Line items updated

Media typeapplication/json

Increasing the line item quantity is not possible

Media typeapplication/json

Merchant, Picking Batch or Line items not found

Media typeapplication/json

Picking Batch Line items not updatable anymore

Media typeapplication/json